View Issue Details

IDProjectCategoryView StatusLast Update
0016428CentOS-7yumpublic2019-10-14 19:06
Reportermyhal 
PrioritynormalSeveritymajorReproducibilityalways
Status newResolutionopen 
Platformx86_64OSCentOSOS Version7.7
Product Version7.7-1908 
Target VersionFixed in Version 
Summary0016428: Impossible to update from 7.0-1406 minimal iso to current 7.7-1908
DescriptionHello,

I've just found the issue while trying to update from clean install of 7.0-1406 minimal .iso to current stable version.

Here's the log (sorry for foreign language):

Chyba: kernel conflicts with kmod-14-9.el7.x86_64
Chyba: firewalld conflicts with 1:NetworkManager-0.9.9.1-13.git20140326.4dba720.el7.x86_64
Chyba: initscripts conflicts with centos-release-7-0.1406.el7.centos.2.3.x86_64
Chyba: Balíček: avahi-libs-0.6.31-13.el7.x86_64 (@anaconda)
           Vyžaduje: avahi = 0.6.31-13.el7
           Odstraňuje se: avahi-0.6.31-13.el7.x86_64 (@anaconda)
               avahi = 0.6.31-13.el7
           Aktualizací balíčku: avahi-0.6.31-19.el7.x86_64 (base)
               avahi = 0.6.31-19.el7
Chyba: avahi-libs conflicts with avahi-0.6.31-19.el7.x86_64
 Pro obejití problému můžete zkusit volbu --skip-broken
** Nalezeny 169 existující problémy v rpmdb, následuje výstup "yum check":

During the update, SSH disconnect happens and then the new run of "yum update" looks like above.

The problem is package kmod, avahi, and more

For example the kmod package:

[root@centos7 ~]# yum list kmod --showdupli
Zavedené moduly: fastestmirror
Loading mirror speeds from cached hostfile
 * base: merlin.fit.vutbr.cz
 * extras: merlin.fit.vutbr.cz
 * updates: merlin.fit.vutbr.cz
Nainstalované balíčky:
kmod.x86_64 14-9.el7 @anaconda
kmod.x86_64 20-25.el7 installed
Dostupné balíčky:
kmod.x86_64 20-25.el7 base

Here!s the full list of all duplicate packages.

yum list installed --showdupli
Zavedené moduly: fastestmirror
Loading mirror speeds from cached hostfile
 * base: merlin.fit.vutbr.cz
 * extras: merlin.fit.vutbr.cz
 * updates: merlin.fit.vutbr.cz
Nainstalované balíčky:
GeoIP.x86_64 1.5.0-14.el7 installed
ModemManager-glib.x86_64 1.1.0-6.git20130913.el7 @anaconda
ModemManager-glib.x86_64 1.6.10-3.el7_6 installed
NetworkManager.x86_64 1:0.9.9.1-13.git20140326.4dba720.el7 @anaconda
NetworkManager.x86_64 1:1.18.0-5.el7_7.1 installed
NetworkManager-glib.x86_64 1:0.9.9.1-13.git20140326.4dba720.el7 @anaconda
NetworkManager-libnm.x86_64 1:1.18.0-5.el7_7.1 installed
NetworkManager-tui.x86_64 1:0.9.9.1-13.git20140326.4dba720.el7 @anaconda
acl.x86_64 2.2.51-12.el7 @anaconda
acl.x86_64 2.2.51-14.el7 installed
aic94xx-firmware.noarch 30-6.el7 @anaconda
alsa-firmware.noarch 1.0.27-2.el7 @anaconda
alsa-lib.x86_64 1.0.27.2-3.el7 @anaconda
alsa-lib.x86_64 1.1.8-1.el7 installed
alsa-tools-firmware.x86_64 1.0.27-4.el7 @anaconda
audit.x86_64 2.3.3-4.el7 @anaconda
audit-libs.x86_64 2.3.3-4.el7 @anaconda
audit-libs.x86_64 2.8.5-4.el7 installed
authconfig.x86_64 6.2.8-8.el7 @anaconda
avahi.x86_64 0.6.31-13.el7 @anaconda
avahi-autoipd.x86_64 0.6.31-13.el7 @anaconda
avahi-libs.x86_64 0.6.31-13.el7 @anaconda
avahi-libs.x86_64 0.6.31-19.el7 installed
basesystem.noarch 10.0-7.el7.centos @anaconda
bash.x86_64 4.2.45-5.el7 @anaconda
bash.x86_64 4.2.46-33.el7 installed
bind-export-libs.x86_64 32:9.11.4-9.P2.el7 installed
bind-libs-lite.x86_64 32:9.9.4-14.el7 @anaconda
bind-license.noarch 32:9.9.4-14.el7 @anaconda
binutils.x86_64 2.23.52.0.1-16.el7 @anaconda
binutils.x86_64 2.27-41.base.el7 installed
biosdevname.x86_64 0.5.0-10.el7 @anaconda
bluez-libs.x86_64 5.44-5.el7 installed
btrfs-progs.x86_64 3.12-4.el7 @anaconda
bzip2-libs.x86_64 1.0.6-12.el7 @anaconda
bzip2-libs.x86_64 1.0.6-13.el7 installed
ca-certificates.noarch 2013.1.95-71.el7 @anaconda
ca-certificates.noarch 2018.2.22-70.0.el7_5 installed
centos-logos.noarch 70.0.6-1.el7.centos @anaconda
centos-logos.noarch 70.0.6-3.el7.centos installed
centos-release.x86_64 7-0.1406.el7.centos.2.3 @anaconda
centos-release.x86_64 7-7.1908.0.el7.centos installed
chkconfig.x86_64 1.3.61-4.el7 @anaconda
chkconfig.x86_64 1.7.4-1.el7 installed
coreutils.x86_64 8.22-11.el7 @anaconda
coreutils.x86_64 8.22-24.el7 installed
cpio.x86_64 2.11-22.el7 @anaconda
cpio.x86_64 2.11-27.el7 installed
cracklib.x86_64 2.9.0-11.el7 @anaconda
cracklib-dicts.x86_64 2.9.0-11.el7 @anaconda
cronie.x86_64 1.4.11-11.el7 @anaconda
cronie-anacron.x86_64 1.4.11-11.el7 @anaconda
crontabs.noarch 1.11-6.20121102git.el7 @anaconda
cryptsetup-libs.x86_64 1.6.3-2.el7 @anaconda
cryptsetup-libs.x86_64 2.0.3-5.el7 installed
curl.x86_64 7.29.0-19.el7 @anaconda
curl.x86_64 7.29.0-54.el7 installed
cyrus-sasl-lib.x86_64 2.1.26-17.el7 @anaconda
cyrus-sasl-lib.x86_64 2.1.26-23.el7 installed
dbus.x86_64 1:1.6.12-8.el7 @anaconda
dbus.x86_64 1:1.10.24-13.el7_6 installed
dbus-glib.x86_64 0.100-7.el7 @anaconda
dbus-libs.x86_64 1:1.6.12-8.el7 @anaconda
dbus-libs.x86_64 1:1.10.24-13.el7_6 installed
dbus-python.x86_64 1.1.1-9.el7 @anaconda
device-mapper.x86_64 7:1.02.84-14.el7 @anaconda
device-mapper.x86_64 7:1.02.158-2.el7 installed
device-mapper-event.x86_64 7:1.02.84-14.el7 @anaconda
device-mapper-event-libs.x86_64 7:1.02.84-14.el7 @anaconda
device-mapper-event-libs.x86_64 7:1.02.158-2.el7 installed
device-mapper-libs.x86_64 7:1.02.84-14.el7 @anaconda
device-mapper-libs.x86_64 7:1.02.158-2.el7 installed
device-mapper-persistent-data.x86_64 0.3.2-1.el7 @anaconda
device-mapper-persistent-data.x86_64 0.8.5-1.el7 installed
dhclient.x86_64 12:4.2.5-27.el7.centos @anaconda
dhcp-common.x86_64 12:4.2.5-27.el7.centos @anaconda
dhcp-libs.x86_64 12:4.2.5-27.el7.centos @anaconda
diffutils.x86_64 3.3-4.el7 @anaconda
diffutils.x86_64 3.3-5.el7 installed
dmidecode.x86_64 1:2.12-5.el7 @anaconda
dmidecode.x86_64 1:3.2-3.el7 installed
dnsmasq.x86_64 2.66-12.el7 @anaconda
dracut.x86_64 033-161.el7 @anaconda
dracut.x86_64 033-564.el7 installed
dracut-config-rescue.x86_64 033-161.el7 @anaconda
dracut-network.x86_64 033-161.el7 @anaconda
e2fsprogs.x86_64 1.42.9-4.el7 @anaconda
e2fsprogs-libs.x86_64 1.42.9-4.el7 @anaconda
e2fsprogs-libs.x86_64 1.42.9-16.el7 installed
ebtables.x86_64 2.0.10-13.el7 @anaconda
elfutils-default-yama-scope.noarch 0.176-2.el7 installed
elfutils-libelf.x86_64 0.158-3.el7 @anaconda
elfutils-libelf.x86_64 0.176-2.el7 installed
elfutils-libs.x86_64 0.158-3.el7 @anaconda
elfutils-libs.x86_64 0.176-2.el7 installed
ethtool.x86_64 2:3.8-3.el7 @anaconda
ethtool.x86_64 2:4.8-10.el7 installed
expat.x86_64 2.1.0-8.el7 @anaconda
expat.x86_64 2.1.0-10.el7_3 installed
file.x86_64 5.11-21.el7 @anaconda
file.x86_64 5.11-35.el7 installed
file-libs.x86_64 5.11-21.el7 @anaconda
file-libs.x86_64 5.11-35.el7 installed
filesystem.x86_64 3.2-18.el7 @anaconda
filesystem.x86_64 3.2-25.el7 installed
findutils.x86_64 1:4.5.11-3.el7 @anaconda
findutils.x86_64 1:4.5.11-6.el7 installed
fipscheck.x86_64 1.4.1-5.el7 @anaconda
fipscheck.x86_64 1.4.1-6.el7 installed
fipscheck-lib.x86_64 1.4.1-5.el7 @anaconda
fipscheck-lib.x86_64 1.4.1-6.el7 installed
firewalld.noarch 0.3.9-7.el7 @anaconda
freetype.x86_64 2.4.11-9.el7 @anaconda
freetype.x86_64 2.8-14.el7 installed
fxload.x86_64 2002_04_11-16.el7 @anaconda
gawk.x86_64 4.0.2-4.el7 @anaconda
gawk.x86_64 4.0.2-4.el7_3.1 installed
gdbm.x86_64 1.10-8.el7 @anaconda
geoipupdate.x86_64 2.5.0-1.el7 installed
gettext.x86_64 0.18.2.1-4.el7 @anaconda
gettext.x86_64 0.19.8.1-2.el7 installed
gettext-libs.x86_64 0.18.2.1-4.el7 @anaconda
gettext-libs.x86_64 0.19.8.1-2.el7 installed
glib-networking.x86_64 2.36.2-3.el7 @anaconda
glib2.x86_64 2.36.3-5.el7 @anaconda
glib2.x86_64 2.56.1-5.el7 installed
glibc.x86_64 2.17-55.el7 @anaconda
glibc.x86_64 2.17-292.el7 installed
glibc-common.x86_64 2.17-55.el7 @anaconda
glibc-common.x86_64 2.17-292.el7 installed
gmp.x86_64 1:5.1.1-5.el7 @anaconda
gmp.x86_64 1:6.0.0-15.el7 installed
gnupg2.x86_64 2.0.22-3.el7 @anaconda
gnupg2.x86_64 2.0.22-5.el7_5 installed
gnutls.x86_64 3.1.18-8.el7 @anaconda
gobject-introspection.x86_64 1.36.0-4.el7 @anaconda
gobject-introspection.x86_64 1.56.1-1.el7 installed
gpgme.x86_64 1.3.2-5.el7 @anaconda
grep.x86_64 2.16-1.el7 @anaconda
grep.x86_64 2.20-3.el7 installed
groff-base.x86_64 1.22.2-8.el7 @anaconda
grub2.x86_64 1:2.02-0.2.10.el7.centos.1 @anaconda
grub2-common.noarch 1:2.02-0.80.el7.centos installed
grub2-pc-modules.noarch 1:2.02-0.80.el7.centos installed
grub2-tools.x86_64 1:2.02-0.2.10.el7.centos.1 @anaconda
grub2-tools.x86_64 1:2.02-0.80.el7.centos installed
grub2-tools-minimal.x86_64 1:2.02-0.80.el7.centos installed
grubby.x86_64 8.28-8.el7 @anaconda
grubby.x86_64 8.28-26.el7 installed
gsettings-desktop-schemas.x86_64 3.8.2-3.el7 @anaconda
gsettings-desktop-schemas.x86_64 3.28.0-2.el7 installed
gzip.x86_64 1.5-7.el7 @anaconda
gzip.x86_64 1.5-10.el7 installed
hardlink.x86_64 1:1.0-19.el7 @anaconda
hostname.x86_64 3.13-3.el7 @anaconda
hwdata.noarch 0.252-7.3.el7 @anaconda
info.x86_64 5.1-4.el7 @anaconda
info.x86_64 5.1-5.el7 installed
initscripts.x86_64 9.49.17-1.el7 @anaconda
iproute.x86_64 3.10.0-13.el7 @anaconda
iprutils.x86_64 2.3.16-4.el7 @anaconda
ipset.x86_64 7.1-1.el7 installed
ipset-libs.x86_64 7.1-1.el7 installed
iptables.x86_64 1.4.21-13.el7 @anaconda
iputils.x86_64 20121221-6.el7 @anaconda
iputils.x86_64 20160308-10.el7 installed
irqbalance.x86_64 2:1.0.6-5.el7 @anaconda
ivtv-firmware.noarch 2:20080701-26.el7 @anaconda
iwl100-firmware.noarch 39.31.5.1-34.el7 @anaconda
iwl1000-firmware.noarch 1:39.31.5.1-34.el7 @anaconda
iwl105-firmware.noarch 18.168.6.1-34.el7 @anaconda
iwl135-firmware.noarch 18.168.6.1-34.el7 @anaconda
iwl2000-firmware.noarch 18.168.6.1-34.el7 @anaconda
iwl2030-firmware.noarch 18.168.6.1-34.el7 @anaconda
iwl3160-firmware.noarch 22.0.7.0-34.el7 @anaconda
iwl3945-firmware.noarch 15.32.2.9-34.el7 @anaconda
iwl4965-firmware.noarch 228.61.2.24-34.el7 @anaconda
iwl5000-firmware.noarch 8.83.5.1_1-34.el7 @anaconda
iwl5150-firmware.noarch 8.24.2.2-34.el7 @anaconda
iwl6000-firmware.noarch 9.221.4.1-34.el7 @anaconda
iwl6000g2a-firmware.noarch 17.168.5.3-34.el7 @anaconda
iwl6000g2b-firmware.noarch 17.168.5.2-34.el7 @anaconda
iwl6050-firmware.noarch 41.28.5.1-34.el7 @anaconda
iwl7260-firmware.noarch 22.0.7.0-34.el7 @anaconda
jansson.x86_64 2.4-6.el7 @anaconda
jansson.x86_64 2.10-1.el7 installed
json-c.x86_64 0.11-3.el7 @anaconda
json-c.x86_64 0.11-4.el7_0 installed
kbd.x86_64 1.15.5-10.el7 @anaconda
kbd-misc.noarch 1.15.5-10.el7 @anaconda
kbd-misc.noarch 1.15.5-15.el7 installed
kernel.x86_64 3.10.0-123.el7 @anaconda
kernel-tools.x86_64 3.10.0-123.el7 @anaconda
kernel-tools-libs.x86_64 3.10.0-123.el7 @anaconda
kernel-tools-libs.x86_64 3.10.0-1062.1.1.el7 installed
kexec-tools.x86_64 2.0.4-32.el7.centos @anaconda
keyutils-libs.x86_64 1.5.8-3.el7 @anaconda
kmod.x86_64 14-9.el7 @anaconda
kmod.x86_64 20-25.el7 installed
kmod-libs.x86_64 14-9.el7 @anaconda
kmod-libs.x86_64 20-25.el7 installed
kpartx.x86_64 0.4.9-66.el7 @anaconda
kpartx.x86_64 0.4.9-127.el7 installed
krb5-libs.x86_64 1.11.3-49.el7 @anaconda
krb5-libs.x86_64 1.15.1-37.el7_7.2 installed
less.x86_64 458-8.el7 @anaconda
less.x86_64 458-9.el7 installed
libacl.x86_64 2.2.51-12.el7 @anaconda
libacl.x86_64 2.2.51-14.el7 installed
libaio.x86_64 0.3.109-13.el7 installed
libassuan.x86_64 2.1.0-3.el7 @anaconda
libattr.x86_64 2.4.46-12.el7 @anaconda
libattr.x86_64 2.4.46-13.el7 installed
libblkid.x86_64 2.23.2-16.el7 @anaconda
libblkid.x86_64 2.23.2-61.el7 installed
libcap.x86_64 2.22-8.el7 @anaconda
libcap.x86_64 2.22-10.el7 installed
libcap-ng.x86_64 0.7.3-5.el7 @anaconda
libcap-ng.x86_64 0.7.5-4.el7 installed
libcom_err.x86_64 1.42.9-4.el7 @anaconda
libcom_err.x86_64 1.42.9-16.el7 installed
libcroco.x86_64 0.6.8-5.el7 @anaconda
libcroco.x86_64 0.6.12-4.el7 installed
libcurl.x86_64 7.29.0-19.el7 @anaconda
libcurl.x86_64 7.29.0-54.el7 installed
libdaemon.x86_64 0.14-7.el7 @anaconda
libdb.x86_64 5.3.21-17.el7 @anaconda
libdb.x86_64 5.3.21-25.el7 installed
libdb-utils.x86_64 5.3.21-17.el7 @anaconda
libdb-utils.x86_64 5.3.21-25.el7 installed
libdrm.x86_64 2.4.50-1.1.el7 @anaconda
libedit.x86_64 3.0-12.20121213cvs.el7 @anaconda
libertas-sd8686-firmware.noarch 20140213-0.3.git4164c23.el7 @anaconda
libertas-sd8787-firmware.noarch 20140213-0.3.git4164c23.el7 @anaconda
libertas-usb8388-firmware.noarch 2:20140213-0.3.git4164c23.el7 @anaconda
libestr.x86_64 0.1.9-2.el7 @anaconda
libfastjson.x86_64 0.99.4-3.el7 installed
libffi.x86_64 3.0.13-11.el7 @anaconda
libffi.x86_64 3.0.13-18.el7 installed
libgcc.x86_64 4.8.2-16.el7 @anaconda
libgcc.x86_64 4.8.5-39.el7 installed
libgcrypt.x86_64 1.5.3-4.el7 @anaconda
libgcrypt.x86_64 1.5.3-14.el7 installed
libgomp.x86_64 4.8.2-16.el7 @anaconda
libgomp.x86_64 4.8.5-39.el7 installed
libgpg-error.x86_64 1.12-3.el7 @anaconda
libgudev1.x86_64 208-11.el7 @anaconda
libidn.x86_64 1.28-3.el7 @anaconda
libidn.x86_64 1.28-4.el7 installed
libmnl.x86_64 1.0.3-7.el7 @anaconda
libmodman.x86_64 2.0.1-8.el7 @anaconda
libmount.x86_64 2.23.2-16.el7 @anaconda
libmount.x86_64 2.23.2-61.el7 installed
libndp.x86_64 1.2-4.el7 @anaconda
libndp.x86_64 1.2-9.el7 installed
libnetfilter_conntrack.x86_64 1.0.4-2.el7 @anaconda
libnfnetlink.x86_64 1.0.1-4.el7 @anaconda
libnl3.x86_64 3.2.21-6.el7 @anaconda
libnl3.x86_64 3.2.28-4.el7 installed
libnl3-cli.x86_64 3.2.21-6.el7 @anaconda
libnl3-cli.x86_64 3.2.28-4.el7 installed
libpcap.x86_64 14:1.5.3-3.el7 @anaconda
libpciaccess.x86_64 0.13.1-4.1.el7 @anaconda
libpipeline.x86_64 1.2.3-3.el7 @anaconda
libpng.x86_64 2:1.5.13-7.el7_2 installed
libproxy.x86_64 0.4.11-6.el7 @anaconda
libproxy.x86_64 0.4.11-11.el7 installed
libpwquality.x86_64 1.2.3-4.el7 @anaconda
libpwquality.x86_64 1.2.3-5.el7 installed
libselinux.x86_64 2.2.2-6.el7 @anaconda
libselinux.x86_64 2.5-14.1.el7 installed
libselinux-python.x86_64 2.2.2-6.el7 @anaconda
libselinux-python.x86_64 2.5-14.1.el7 installed
libselinux-utils.x86_64 2.2.2-6.el7 @anaconda
libselinux-utils.x86_64 2.5-14.1.el7 installed
libsemanage.x86_64 2.1.10-16.el7 @anaconda
libsemanage.x86_64 2.5-14.el7 installed
libsepol.x86_64 2.1.9-3.el7 @anaconda
libsepol.x86_64 2.5-10.el7 installed
libsmartcols.x86_64 2.23.2-61.el7 installed
libsoup.x86_64 2.42.2-3.el7 @anaconda
libss.x86_64 1.42.9-4.el7 @anaconda
libss.x86_64 1.42.9-16.el7 installed
libssh2.x86_64 1.4.3-8.el7 @anaconda
libssh2.x86_64 1.8.0-3.el7 installed
libstdc++.x86_64 4.8.2-16.el7 @anaconda
libstdc++.x86_64 4.8.5-39.el7 installed
libsysfs.x86_64 2.1.0-16.el7 @anaconda
libtasn1.x86_64 3.3-3.el7 @anaconda
libtasn1.x86_64 4.10-1.el7 installed
libteam.x86_64 1.9-15.el7 @anaconda
libteam.x86_64 1.27-9.el7 installed
libunistring.x86_64 0.9.3-9.el7 @anaconda
libuser.x86_64 0.60-5.el7 @anaconda
libuser.x86_64 0.60-9.el7 installed
libutempter.x86_64 1.1.6-4.el7 @anaconda
libuuid.x86_64 2.23.2-16.el7 @anaconda
libuuid.x86_64 2.23.2-61.el7 installed
libverto.x86_64 0.2.5-4.el7 @anaconda
libxml2.x86_64 2.9.1-5.el7 @anaconda
libxml2.x86_64 2.9.1-6.el7_2.3 installed
linux-firmware.noarch 20140213-0.3.git4164c23.el7 @anaconda
linux-firmware.noarch 20190429-72.gitddde598.el7 installed
logrotate.x86_64 3.8.6-4.el7 @anaconda
logrotate.x86_64 3.8.6-17.el7 installed
lsscsi.x86_64 0.27-6.el7 installed
lua.x86_64 5.1.4-14.el7 @anaconda
lua.x86_64 5.1.4-15.el7 installed
lvm2.x86_64 7:2.02.105-14.el7 @anaconda
lvm2-libs.x86_64 7:2.02.105-14.el7 @anaconda
lz4.x86_64 1.7.5-3.el7 installed
lzo.x86_64 2.06-6.el7 @anaconda
lzo.x86_64 2.06-8.el7 installed
make.x86_64 1:3.82-21.el7 @anaconda
make.x86_64 1:3.82-24.el7 installed
man-db.x86_64 2.6.3-9.el7 @anaconda
mariadb-libs.x86_64 1:5.5.35-3.el7 @anaconda
mariadb-libs.x86_64 1:5.5.64-1.el7 installed
microcode_ctl.x86_64 2:2.1-7.1.el7 @anaconda
mozjs17.x86_64 17.0.0-10.el7 @anaconda
mozjs17.x86_64 17.0.0-20.el7 installed
ncurses.x86_64 5.9-13.20130511.el7 @anaconda
ncurses.x86_64 5.9-14.20130511.el7_4 installed
ncurses-base.noarch 5.9-13.20130511.el7 @anaconda
ncurses-base.noarch 5.9-14.20130511.el7_4 installed
ncurses-libs.x86_64 5.9-13.20130511.el7 @anaconda
ncurses-libs.x86_64 5.9-14.20130511.el7_4 installed
nettle.x86_64 2.7.1-2.el7 @anaconda
nettle.x86_64 2.7.1-8.el7 installed
newt.x86_64 0.52.15-4.el7 @anaconda
newt-python.x86_64 0.52.15-4.el7 @anaconda
nspr.x86_64 4.10.2-4.el7 @anaconda
nspr.x86_64 4.21.0-1.el7 installed
nss.x86_64 3.15.4-6.el7 @anaconda
nss.x86_64 3.44.0-4.el7 installed
nss-pem.x86_64 1.0.3-7.el7 installed
nss-softokn.x86_64 3.15.4-2.el7 @anaconda
nss-softokn.x86_64 3.44.0-5.el7 installed
nss-softokn-freebl.x86_64 3.15.4-2.el7 @anaconda
nss-softokn-freebl.x86_64 3.44.0-5.el7 installed
nss-sysinit.x86_64 3.15.4-6.el7 @anaconda
nss-sysinit.x86_64 3.44.0-4.el7 installed
nss-tools.x86_64 3.15.4-6.el7 @anaconda
nss-tools.x86_64 3.44.0-4.el7 installed
nss-util.x86_64 3.15.4-2.el7 @anaconda
nss-util.x86_64 3.44.0-3.el7 installed
numactl-libs.x86_64 2.0.9-2.el7 @anaconda
numactl-libs.x86_64 2.0.12-3.el7 installed
openldap.x86_64 2.4.39-3.el7 @anaconda
openldap.x86_64 2.4.44-21.el7_6 installed
openssh.x86_64 6.4p1-8.el7 @anaconda
openssh-clients.x86_64 6.4p1-8.el7 @anaconda
openssh-server.x86_64 6.4p1-8.el7 @anaconda
openssl.x86_64 1:1.0.1e-34.el7 @anaconda
openssl.x86_64 1:1.0.2k-19.el7 installed
openssl-libs.x86_64 1:1.0.1e-34.el7 @anaconda
openssl-libs.x86_64 1:1.0.2k-19.el7 installed
os-prober.x86_64 1.58-5.el7 @anaconda
os-prober.x86_64 1.58-9.el7 installed
p11-kit.x86_64 0.18.7-4.el7 @anaconda
p11-kit.x86_64 0.23.5-3.el7 installed
p11-kit-trust.x86_64 0.18.7-4.el7 @anaconda
p11-kit-trust.x86_64 0.23.5-3.el7 installed
pam.x86_64 1.1.8-9.el7 @anaconda
pam.x86_64 1.1.8-22.el7 installed
parted.x86_64 3.1-17.el7 @anaconda
passwd.x86_64 0.79-4.el7 @anaconda
pciutils-libs.x86_64 3.2.1-4.el7 @anaconda
pciutils-libs.x86_64 3.5.1-3.el7 installed
pcre.x86_64 8.32-12.el7 @anaconda
pcre.x86_64 8.32-17.el7 installed
pinentry.x86_64 0.8.1-14.el7 @anaconda
pinentry.x86_64 0.8.1-17.el7 installed
pkgconfig.x86_64 1:0.27.1-4.el7 @anaconda
plymouth.x86_64 0.8.9-0.10.20140113.el7.centos @anaconda
plymouth-core-libs.x86_64 0.8.9-0.10.20140113.el7.centos @anaconda
plymouth-scripts.x86_64 0.8.9-0.10.20140113.el7.centos @anaconda
policycoreutils.x86_64 2.2.5-11.el7 @anaconda
policycoreutils.x86_64 2.5-33.el7 installed
polkit.x86_64 0.112-5.el7 @anaconda
polkit.x86_64 0.112-22.el7_7.1 installed
polkit-pkla-compat.x86_64 0.1-4.el7 @anaconda
popt.x86_64 1.13-16.el7 @anaconda
postfix.x86_64 2:2.10.1-6.el7 @anaconda
ppp.x86_64 2.4.5-33.el7 @anaconda
procps-ng.x86_64 3.3.9-6.el7 @anaconda
procps-ng.x86_64 3.3.10-26.el7 installed
pth.x86_64 2.0.7-22.el7 @anaconda
pth.x86_64 2.0.7-23.el7 installed
pygobject3-base.x86_64 3.8.2-4.el7 @anaconda
pygpgme.x86_64 0.3-9.el7 @anaconda
pyliblzma.x86_64 0.5.3-11.el7 @anaconda
python.x86_64 2.7.5-16.el7 @anaconda
python.x86_64 2.7.5-86.el7 installed
python-backports.noarch 1.0-6.el7 @anaconda
python-backports.x86_64 1.0-8.el7 installed
python-backports-ssl_match_hostname.noarch 3.4.0.2-4.el7 @anaconda
python-backports-ssl_match_hostname.noarch 3.5.0.1-1.el7 installed
python-configobj.noarch 4.7.2-7.el7 @anaconda
python-decorator.noarch 3.4.0-3.el7 @anaconda
python-firewall.noarch 0.6.3-2.el7_7.1 installed
python-gobject-base.x86_64 3.22.0-1.el7_4.1 installed
python-iniparse.noarch 0.4-9.el7 @anaconda
python-ipaddress.noarch 1.0.16-2.el7 installed
python-libs.x86_64 2.7.5-16.el7 @anaconda
python-libs.x86_64 2.7.5-86.el7 installed
python-linux-procfs.noarch 0.4.11-4.el7 installed
python-perf.x86_64 3.10.0-1062.1.1.el7 installed
python-pycurl.x86_64 7.19.0-17.el7 @anaconda
python-pycurl.x86_64 7.19.0-19.el7 installed
python-pyudev.noarch 0.15-6.el7 @anaconda
python-schedutils.x86_64 0.4-6.el7 installed
python-setuptools.noarch 0.9.8-3.el7 @anaconda
python-slip.noarch 0.4.0-2.el7 @anaconda
python-slip.noarch 0.4.0-4.el7 installed
python-slip-dbus.noarch 0.4.0-2.el7 @anaconda
python-slip-dbus.noarch 0.4.0-4.el7 installed
python-urlgrabber.noarch 3.10-4.el7 @anaconda
python-urlgrabber.noarch 3.10-9.el7 installed
pyxattr.x86_64 0.5.1-5.el7 @anaconda
qrencode-libs.x86_64 3.4.1-3.el7 @anaconda
readline.x86_64 6.2-9.el7 @anaconda
readline.x86_64 6.2-11.el7 installed
rootfiles.noarch 8.1-11.el7 @anaconda
rpm.x86_64 4.11.1-16.el7 @anaconda
rpm.x86_64 4.11.3-40.el7 installed
rpm-build-libs.x86_64 4.11.1-16.el7 @anaconda
rpm-build-libs.x86_64 4.11.3-40.el7 installed
rpm-libs.x86_64 4.11.1-16.el7 @anaconda
rpm-libs.x86_64 4.11.3-40.el7 installed
rpm-python.x86_64 4.11.1-16.el7 @anaconda
rpm-python.x86_64 4.11.3-40.el7 installed
rsyslog.x86_64 7.4.7-6.el7 @anaconda
sed.x86_64 4.2.2-5.el7 @anaconda
selinux-policy.noarch 3.12.1-153.el7 @anaconda
selinux-policy-targeted.noarch 3.12.1-153.el7 @anaconda
setup.noarch 2.8.71-4.el7 @anaconda
setup.noarch 2.8.71-10.el7 installed
shadow-utils.x86_64 2:4.1.5.1-13.el7 @anaconda
shadow-utils.x86_64 2:4.6-5.el7 installed
shared-mime-info.x86_64 1.1-7.el7 @anaconda
shared-mime-info.x86_64 1.8-4.el7 installed
slang.x86_64 2.2.4-11.el7 @anaconda
snappy.x86_64 1.1.0-3.el7 @anaconda
sqlite.x86_64 3.7.17-4.el7 @anaconda
sqlite.x86_64 3.7.17-8.el7 installed
sudo.x86_64 1.8.6p7-11.el7 @anaconda
systemd.x86_64 208-11.el7 @anaconda
systemd.x86_64 219-67.el7_7.1 installed
systemd-libs.x86_64 208-11.el7 @anaconda
systemd-libs.x86_64 219-67.el7_7.1 installed
systemd-sysv.x86_64 208-11.el7 @anaconda
systemd-sysv.x86_64 219-67.el7_7.1 installed
sysvinit-tools.x86_64 2.88-14.dsf.el7 @anaconda
tar.x86_64 2:1.26-29.el7 @anaconda
tar.x86_64 2:1.26-35.el7 installed
tcp_wrappers-libs.x86_64 7.6-77.el7 @anaconda
teamd.x86_64 1.9-15.el7 @anaconda
tuned.noarch 2.3.0-11.el7 @anaconda
tzdata.noarch 2014b-1.el7 @anaconda
tzdata.noarch 2019b-1.el7 installed
ustr.x86_64 1.0.4-16.el7 @anaconda
util-linux.x86_64 2.23.2-16.el7 @anaconda
util-linux.x86_64 2.23.2-61.el7 installed
vim-minimal.x86_64 2:7.4.160-1.el7 @anaconda
vim-minimal.x86_64 2:7.4.629-6.el7 installed
virt-what.x86_64 1.13-5.el7 @anaconda
which.x86_64 2.20-7.el7 @anaconda
wpa_supplicant.x86_64 1:2.0-12.el7 @anaconda
wpa_supplicant.x86_64 1:2.6-12.el7 installed
xfsprogs.x86_64 3.2.0-0.10.alpha2.el7 @anaconda
xz.x86_64 5.1.2-8alpha.el7 @anaconda
xz.x86_64 5.2.2-1.el7 installed
xz-libs.x86_64 5.1.2-8alpha.el7 @anaconda
xz-libs.x86_64 5.2.2-1.el7 installed
yum.noarch 3.4.3-118.el7.centos @anaconda
yum.noarch 3.4.3-163.el7.centos installed
yum-metadata-parser.x86_64 1.1.4-10.el7 @anaconda
yum-plugin-fastestmirror.noarch 1.1.31-24.el7 @anaconda
yum-plugin-fastestmirror.noarch 1.1.31-52.el7 installed
zlib.x86_64 1.2.7-13.el7 @anaconda
zlib.x86_64 1.2.7-18.el7 installed

The older version blocks the "yum update". The solution is to remove the older version of those packages.
Steps To Reproducerun "yum update" in 7.0.-.1406
TagsNo tags attached.
abrt_hash
URL

Activities

TrevorH

TrevorH

2019-09-20 15:34

manager   ~0035165

Doctor, Doctor, it hurts when I do *this*.

Start by not installing 7.0.1406 which is over 5 *years* old. We produce new isos for each point release for a reason. Please use something from 2019.
level6

level6

2019-10-09 16:03

reporter   ~0035398

We are encountering the same problem in a large corporate environment. MANY vms were built using this ISO, and now MANY vms are not update-able.

But, the only suggestion is to go back in time and not use this ISO? And, once we build this time machine and travel back, how do we retrieve the future ISOs? Is there a future ISO repository, somewhere? Could I get that repo definition file, please?

Or, is uppity attitude the only requirement for becoming a manager, here?
tigalch

tigalch

2019-10-09 18:22

manager   ~0035409

No it is not! As TrevorH said, 7.0 is over 5 *years* old, which indeed means you have missed really a lot of updates, not to mention that a 7.0 system is probably littered with security issues in them mean time.
We don't test every possible update aspect. Yours might be solveable when trying to update something between 7.0 and 7.7, and then try the update to 7.7. All packages and ISOs of the previous releases and updates are available from vault.centos.org.
TrevorH

TrevorH

2019-10-09 23:41

manager   ~0035420

Installing 7.0.1406 fresh in 2019 is stupid.

Having legacy systems around is bad news. You should be keeping them up to date. I would expect a large corporate to be on the ball wrt security and to have policies in place mandating times to update critcial/important patches on a regular basis. There's not much excuse for being 5 years behind.

However, the problem intrigued me so after many fresh installs, the sequence you need is as follows

yum install screen yum-utils
yum update systemd
reboot
yum update NetworkMana\*
yum update

Those worked for me without running them under screen but get the package combination wrong and what happens is systemd restarts itself completely and kills every single process on the box. Running under screen made zero difference as it was killed too. So was tmux.
tru

tru

2019-10-10 09:33

administrator   ~0035426

1) systemd issue relates to https://bugs.centos.org/view.php?id=16438 (killing sshd/screen/tmux)
2) running yum update inside a screen/tmux sesssion is good practice, it would NOT have helped with this systemd issue.
3) yum update usually works fine, but as you have noticed, bad thing can happen when critical parts are not well-behaving. ymmv
tru

tru

2019-10-10 09:35

administrator   ~0035427

yum update stopped mid-flight is out of scope, please as the usual support for help, or reinstall as it woul be faster, imho.
level6

level6

2019-10-14 19:05

reporter   ~0035466

Thanks guys.

There were some really poor assumptions, in here. It should not be assumed that all problems were created yesterday. It should also never be assumed that the person with the problem initiated it. Many problems are inherited in large environments. I am not going to touch the "We don't test every possible update" statement. :)

It was much more productive to explore the reported issue and offer a realistic lead or two. Thanks, again. Sincerely.
level6

level6

2019-10-14 19:06

reporter   ~0035467

(I wasn't being snide, sorry. I am not going to touch that statement, because I get it.)

Issue History

Date Modified Username Field Change
2019-09-20 14:21 myhal New Issue
2019-09-20 15:34 TrevorH Note Added: 0035165
2019-10-09 16:03 level6 Note Added: 0035398
2019-10-09 18:22 tigalch Note Added: 0035409
2019-10-09 23:41 TrevorH Note Added: 0035420
2019-10-10 09:33 tru Note Added: 0035426
2019-10-10 09:35 tru Note Added: 0035427
2019-10-14 19:05 level6 Note Added: 0035466
2019-10-14 19:06 level6 Note Added: 0035467